QuadraticCurve
Date: 2012-10-10

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convertDXSingleSpeed
Class QuadraticCurve

    java.lang.Object
      convertDXSingleSpeed.QuadraticCurve

All Implemented Interfaces:
  ICurve

    public class QuadraticCurve

extends java.lang.Object
implements ICurve

This method implements a quadratic curve.

### License agreement

The use of this program is subjected to the following license terms.

Constructor Summary
`QuadraticCurve()`

Method Summary
`java.lang.String` | `curveToString()` This method concatenates the coefficients of the curve into a string.
`java.lang.String` | `getMaxValX()` This method gets the maximum x-value of the curve.
`java.lang.String` | `getMinValX()` This method gets the minimum x-value of the curve.
`void` | `setCoef1(java.lang.String parameter)` This method sets the first coefficient of the curve.
`void` | `setCoef2(java.lang.String parameter)` This method sets the second coefficient of the curve.
`void` | `setCoef3(java.lang.String parameter)` This method sets the third coefficient of the curve.
`void` | `setMaxValX(java.lang.String parameter)` This method sets the maximum x-value of the curve.
`void` | `setMinValX(java.lang.String parameter)` This method sets the minimum x-value of the curve.
`void` | `setName(java.lang.String parameter)` This method sets the name of the curve.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QuadraticCurve

    public QuadraticCurve()

Method Detail

### setCoef1

    public void setCoef1(java.lang.String parameter)

  This method sets the first coefficient of the curve.

### setCoef2

    public void setCoef2(java.lang.String parameter)

  This method sets the second coefficient of the curve.

### setCoef3

    public void setCoef3(java.lang.String parameter)

  This method sets the third coefficient of the curve.

### setMinValX

    public void setMinValX(java.lang.String parameter)

  This method sets the minimum x-value of the curve.

### getMinValX

    public java.lang.String getMinValX()

  This method gets the minimum x-value of the curve.

### setMaxValX

    public void setMaxValX(java.lang.String parameter)

  This method sets the maximum x-value of the curve.

### getMaxValX

    public java.lang.String getMaxValX()

  This method gets the maximum x-value of the curve.

### setName

    public void setName(java.lang.String parameter)

  This method sets the name of the curve.

### curveToString

    public java.lang.String curveToString()

  This method concatenates the coefficients of the curve into a string.

  Specified by:
    `curveToString` in interface `ICurve`
  Returns:
    string containing the coefficients of the curve.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD